FROM maven:latest AS build

ENV http_proxy "http://ESFPSMPX01.sys:8080"
ENV https_proxy "http://ESFPSMPX01.sys:8080"

COPY ./settings.xml /usr/share/maven/conf/settings.xml

COPY ./catalyst-data-model/src /catalyst-data-model/src
RUN mkdir /catalyst-data-model/target/
COPY ./catalyst-data-model/pom.xml /catalyst-data-model/
WORKDIR /catalyst-data-model
RUN mvn clean install -X
RUN ls target

COPY ./catalyst-ebb/src/ /root/src
COPY ./catalyst-ebb/pom.xml /root/
WORKDIR /root/
RUN mvn clean install -X

VOLUME ["root/war"]

FROM tomcat:8
COPY --from=build /root/target/catalyst-ebb-service-0.0.1.war /usr/local/tomcat/webapps/catalyst-ebb-service-0.0.1.war
